# Interface ParameterizedTypeTree

All Superinterfaces:
  `Tree`

public interface ParameterizedTypeTree extends Tree
A tree node for a type expression involving type parameters. For example:

      type < typeArguments >

See Java Language Specification:
  4.5.1 Type Arguments of Parameterized Types
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tree`
  `getType()`
  Returns the base type.
  `List<? extends Tree>`
  `getTypeArguments()`
  Returns the type arguments.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### getType

    Tree getType()
    Returns the base type.
    Returns:
      the base type

  - ### getTypeArguments

    List<? extends Tree> getTypeArguments()
    Returns the type arguments.
    Returns:
      the type arguments